
#ifndef UARTWRAP_H
#define UARTWRAP_H

#include "ntint.h"

/**
 * @brief UARTを初期化する。
 *
 * @retval 0 成功。
 * @retval !0 失敗。
 */
int uartwrap_init(void);

/**
 * @brief UARTの読み込みを実行する。
 *
 * @param buf バッファ。
 * @param cnt 読み込みバイト数。
 *
 * @retval 0 成功。
 * @retval !0 失敗。
 */
int uartwrap_read(char *buf, const int cnt, void *extobj);

/**
 * @brief UARTの書き込みを実行する。
 *
 * @param buf バッファ。
 * @param cnt 書き込みバイト数。
 *
 * @retval 0 成功。
 * @retval !0 失敗。
 */
int uartwrap_write(const char *buf, const int cnt, void *extobj);

#endif

